#pragma once
#include <map>
struct M_DropCFGData
{
	//ID
	int mID;
	//掉落类型
	int mType;
	//掉落组
	std::vector<int> mdropInfo;
	//开始炮倍
	int mstarRate;
	//结束炮倍
	int mEndRate;
	//随机数量
	std::vector<int> mDropCount;
	//其他类型
	int mOtherTypes;
};

class M_DropCFG
{
public:
private:
	static std::auto_ptr<M_DropCFG> msSingleton;
public:
	int GetCount();
	const M_DropCFGData* GetData(int ID);
	const std::map<int, M_DropCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_DropCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_DropCFGData> mMapData;
};
